from jose import JWTError, jwt
import os
import werkzeug


JWT_PUB_KEY = os.environ['JWT_PUB_KEY']

def decodeToken(token):
    try:
        return jwt.decode(token, JWT_PUB_KEY, audience="mainscnt")
    except JWTError as e:
        print("ERROR: decodeToken: {}".format(e))
        raise werkzeug.exceptions.Unauthorized()
